## ocp 0.2.94

=== boot/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: kickload.o compdate.o psetting.o plinkman.o plinkman_end.o pmain.o console.o

clean:
	rm -f *.o *.a *$(LIB_SUFFIX)

install:

uninstall:

compdate.o: compdate.c \
	../config.h
	$(CC) compdate.c -o $@ -c

pmain.o: pmain.c pmain.h \
	../config.h \
	../types.h \
	plinkman.h \
	psetting.h \
	../stuff/err.h \
	../stuff/framelock.h \
	../stuff/poutput.h
	$(CC) pmain.c -o $@ -c

psetting.o: psetting.c psetting.h \
	../config.h \
	../stuff/compat.h
	$(CC) psetting.c -o $@ -c

plinkman.o: plinkman.c plinkman.h \
	../config.h \
	../types.h \
	psetting.h \
	../stuff/compat.h
	$(CC) plinkman.c -o $@ -c

plinkman_end.o: plinkman_end.c plinkman.h \
	../config.h \
	../types.h
	$(CC) plinkman_end.c -o $@ -c


kickload.o: kickload.c \
	../config.h \
	../types.h \
	pmain.h \
	../Rules.make
	$(CC) kickload.c -o $@ -c

console.o: console.c console.h \
	../config.h \
	../types.h \
	../stuff/poutput.h
	$(CC) console.c -o $@ -c

=== cpiface/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_LZW),1)
GIF_O=gif.o
endif

cpiface_so=fft.o cpianal.o cpichan.o cpidots.o cpiface.o cpigraph.o cpiinst.o cpikube.o cpilinks.o cpimsg.o cpimvol.o cpiphase.o cpipic.o cpiptype.o cpiscope.o cpitext.o cpitrack.o jpeg.o mcpedit.o $(GIF_O) png.o tga.o volctrl.o

ifeq ($(STATIC_BUILD),1)
all: $(cpiface_so) cpikeyhelp.o
else
all: cpiface$(LIB_SUFFIX) cpikeyhelp.o
endif

cpiface$(LIB_SUFFIX): $(cpiface_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(LIBJPEG_LIBS) $(LIBPNG_LIBS) $(MATH_LIBS)

clean:
	rm -f *.o *$(LIB_SUFFIX)

ifeq ($(STATIC_BUILD),1)
install:
uninstall:
else
install:
	$(CP) cpiface$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/35-cpiface$(LIB_SUFFIX)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/35-cpiface$(LIB_SUFFIX)"
endif

cpikeyhelp.o: cpikeyhelp.c cpiface.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../stuff/poutput.h \
	../stuff/framelock.h
	$(CC) cpikeyhelp.c -o $@ -c

fft.o: fft.c fft.h \
	../config.h
	$(CC) fft.c -o $@ -c

cpianal.o: cpianal.c \
	fft.h \
	cpiface.h \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/psetting.h
	$(CC) cpianal.c -o $@ -c

cpichan.o: cpichan.c \
	cpiface.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h
	$(CC) cpichan.c -o $@ -c

cpidots.o: cpidots.c \
	cpiface.h \
	cpipic.h \
	../config.h \
	../types.h \
	../stuff/poutput.h
	$(CC) cpidots.c -o $@ -c

cpigraph.o: cpigraph.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	cpipic.h \
	fft.h
	$(CC) cpigraph.c -o $@ -c

cpiinst.o: cpiinst.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpiinst.c -o $@ -c

cpikube.o: cpikube.c \
	../config.h \
	cpiface.h \
	../types.h \
	../boot/psetting.h \
	../stuff/compat.h \
	../stuff/poutput.h \
	../stuff/timer.h
	$(CC) cpikube.c -o $@ -c

cpilinks.o: cpilinks.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../filesel/pfilesel.h \
	cpiface.h \
	../boot/plinkman.h
	$(CC) cpilinks.c -o $@ -c

cpimsg.o: cpimsg.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpimsg.c -o $@ -c

cpimvol.o: cpimvol.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	cpiface.h
	$(CC) cpimvol.c -o $@ -c

cpiphase.o: cpiphase.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	../stuff/imsrtns.h \
	cpipic.h
	$(CC) cpiphase.c -o $@ -c

cpipic.o: cpipic.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	cpiface.h \
	gif.h \
	tga.h \
	../stuff/compat.h
	$(CC) cpipic.c -o $@ -c

cpiptype.o: cpiptype.c \
	../config.h \
	../types.h \
	../filesel/mdb.h
	$(CC) cpiptype.c -o $@ -c

cpiscope.o: cpiscope.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	cpipic.h
	$(CC) cpiscope.c -o $@ -c

cpitext.o: cpitext.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../filesel/pfilesel.h \
	cpiface.h \
	../boot/psetting.h \
	../boot/plinkman.h
	$(CC) cpitext.c -o $@ -c

cpitrack.o: cpitrack.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/psetting.h \
	cpiface.h
	$(CC) cpitrack.c -o $@ -c

mcpedit.o: mcpedit.c \
	../config.h \
	../types.h \
	cpiface.h \
	../dev/deviplay.h \
	../dev/devisamp.h \
	../dev/deviwave.h \
	../dev/mcp.h \
	../boot/psetting.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) mcpedit.c -o $@ -c

gif.o: gif.c \
	gif.h \
	../config.h \
	../types.h
	$(CC) gif.c -o $@ -c

jpeg.o: jpeg.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	jpeg.h
	$(CC) $< -o $@ -c $(LIBJPEG_CFLAGS)

png.o: png.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	cpiface.h \
	png.h
	$(CC) $< -o $@ -c $(LIBPNG_CFLAGS)

tga.o: tga.c \
	tga.h \
	../config.h \
	../types.h
	$(CC) tga.c -o $@ -c

cpiface.o: cpiface.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	cpiface.h \
	cpipic.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/imsrtns.h \
	../stuff/framelock.h \
	../stuff/poutput.h \
	../stuff/sets.h \
	../stuff/timer.h
	$(CC) cpiface.c -o $@ -c

volctrl.o: volctrl.c \
	../config.h \
	../types.h \
	../stuff/poutput.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	cpiface.h \
	../stuff/imsrtns.h \
	vol.h
	$(CC) volctrl.c -o $@ -c

=== dev/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

#mixclip_so=mixclip.o

plrbase_so=deviplay.o plrasm.o player.o

devi_so=devigen.o

mcpbase_so=deviwave.o mcp.o mix.o mixasm.o ringbuffer.o smpman.o

mchasm_so=mchasm.o

smpbase_so=devisamp.o sampler.o

ifeq ($(STATIC_BUILD),1)
all: $(plrbase_so) $(devi_so) $(mcpbase_so) $(mchasm_so) $(smpbase_so)
#$(mixclip_so)
else
all: devi$(LIB_SUFFIX) mcpbase$(LIB_SUFFIX) plrbase$(LIB_SUFFIX) smpbase$(LIB_SUFFIX) mchasm$(LIB_SUFFIX)
#mixclip$(LIB_SUFFIX)
endif

#mixclip$(LIB_SUFFIX): $(mixclip_so)
#	$(CC) $(SHARED_FLAGS) -o $@ $^

plrbase$(LIB_SUFFIX): $(plrbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devi$(LIB_SUFFIX): $(devi_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

mcpbase$(LIB_SUFFIX): $(mcpbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

mchasm$(LIB_SUFFIX): $(mchasm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

smpbase$(LIB_SUFFIX): $(smpbase_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) mchasm_test smpman_asminctest ringbuffer-unit-test

ifeq ($(STATIC_BUILD),1)
install:
uninstall:
else
install:
	$(CP) mcpbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-mcpbase$(LIB_SUFFIX)"
	$(CP) plrbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-plrbase$(LIB_SUFFIX)"
	$(CP) smpbase$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-smpbase$(LIB_SUFFIX)"
#	$(CP) mixclip$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/10-mixclip$(LIB_SUFFIX)"
	$(CP) mchasm$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/10-mchasm$(LIB_SUFFIX)"
	$(CP) devi$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/10-devi$(LIB_SUFFIX)"


uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-mcpbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-plrbase$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-smpbase$(LIB_SUFFIX)"
#	rm -f "$(DESTDIR)$(LIBDIR)/autoload/10-mixclip$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/10-mchasm$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/10-devi$(LIB_SUFFIX)"
endif

test: ringbuffer-unit-test mchasm_test smpman_asminctest
	./ringbuffer-unit-test
	./mchasm_test
	./smpman_asminctest

ringbuffer-unit-test: \
	ringbuffer.c \
	../config.h \
	../types.h
	$(CC) ringbuffer.c -o $@ -DUNIT_TEST

devigen.o: devigen.c devigen.h \
	../config.h \
	../types.h \
	imsdev.h \
	devigen.h \
	../boot/psetting.h \
	../boot/plinkman.h
	$(CC) devigen.c -o $@ -c

deviplay.o: deviplay.c deviplay.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	devigen.h \
	deviplay.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-file-mem.h \
	../filesel/filesystem-setup.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	imsdev.h \
	player.h \
	../stuff/compat.h \
	../stuff/err.h
	$(CC) deviplay.c -o $@ -c

devisamp.o: devisamp.c devisamp.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	devigen.h \
	devisamp.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-file-mem.h \
	../filesel/filesystem-setup.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	imsdev.h \
	sampler.h \
	../stuff/compat.h \
	../stuff/err.h
	$(CC) devisamp.c -o $@ -c

deviwave.o: deviwave.c deviwave.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	devigen.h \
	deviwave.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-file-mem.h \
	../filesel/filesystem-setup.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	imsdev.h \
	mcp.h \
	player.h \
	../stuff/compat.h \
	../stuff/err.h
	$(CC) deviwave.c -c -o $@ -c

mchasm.o: mchasm.c mchasm.h \
	../config.h \
	../types.h \
	../boot/plinkman.h
	$(CC) mchasm.c -o $@ -c

mchasm_test.o: mchasm_test.c mchasm.h \
	../config.h \
	../types.h
	$(CC) mchasm_test.c -o $@ -c

mchasm_test: mchasm.o mchasm_test.o
	$(CC) -o $@ $^

mcp.o: mcp.c mcp.h \
	../config.h \
	../types.h
	$(CC) mcp.c -o $@ -c

mix.o: mix.c mix.h \
	../config.h \
	../types.h \
	mcp.h \
	../stuff/imsrtns.h \
	../stuff/pagesize.inc.c \
	mixasm.h
	$(CC) mix.c -o $@ -c

mixasm.o: mixasm.c mixasm.h \
	../config.h \
	../types.h \
	mix.h
	$(CC) -O mixasm.c -o $@ -c

player.o: player.c player.h \
	../config.h \
	../types.h \
	mchasm.h \
	../stuff/imsrtns.h
	$(CC) player.c -o $@ -c

plrasm.o: plrasm.c plrasm.h \
	../config.h \
	../types.h
	$(CC) plrasm.c -o $@ -c

ringbuffer.o: ringbuffer.c ringbuffer.h \
	../config.h \
	../types.h
	$(CC) ringbuffer.c -o $@ -c

sampler.o: sampler.c sampler.h \
	../config.h \
	../types.h \
	../stuff/imsrtns.h \
	mchasm.h
	$(CC) sampler.c -o $@ -c

smpman.o: smpman.c \
	../config.h \
	../types.h \
	smpman_asminc.c \
	mcp.h
	$(CC) smpman.c -o $@ -c

smpman_asminctest.o: smpman_asminctest.c smpman_asminc.c ../config.h
	$(CC) smpman_asminctest.c -o $@ -c

smpman_asminctest: smpman_asminctest.o
	$(CC) -o $@ $^

#mixclip.o: mixclip.c mixclip.h \
#	../config.h \
#	../types.h \
#	../boot/plinkman.h
#	$(CC) mixclip.c -o $@ -c

=== devp/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_ALSA),1)
ALSA_SO=devpalsa$(LIB_SUFFIX)
endif

ifeq ($(HAVE_OSS),1)
OSS_SO=devposs$(LIB_SUFFIX)
endif

ifeq ($(HAVE_COREAUDIO),1)
COREAUDIO_SO=devpcoreaudio$(LIB_SUFFIX)
endif

ifeq ($(HAVE_SDL),1)
SDL_SO=devpsdl$(LIB_SUFFIX)
endif

ifeq ($(HAVE_SDL2),1)
SDL2_SO=devpsdl2$(LIB_SUFFIX)
endif

all: devpnone$(LIB_SUFFIX) devpdisk$(LIB_SUFFIX) $(OSS_SO) $(ALSA_SO) $(COREAUDIO_SO) $(SDL_SO) $(SDL2_SO)

devpnone_so=devpnone.o
devpnone$(LIB_SUFFIX): $(devpnone_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devposs_so=devposs.o
devposs$(LIB_SUFFIX):$(devposs_so)
	$(CC) $(SHARED_FLAGS) $(LDFLAGS) $(OSS_LIBS) -o $@ $^

devpdisk_so=devpdisk.o
devpdisk$(LIB_SUFFIX):$(devpdisk_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devpalsa_so=devpalsa.o
devpalsa$(LIB_SUFFIX):$(devpalsa_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(ALSA_LIBS)

devpcoreaudio_so=devpcoreaudio.o
devpcoreaudio$(LIB_SUFFIX):$(devpcoreaudio_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(COREAUDIO_LIBS) $(PTHREAD_LIBS)

devpsdl_so=devpsdl.o
devpsdl$(LIB_SUFFIX):$(devpsdl_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(SDL_LIBS)

devpsdl2_so=devpsdl2.o
devpsdl2$(LIB_SUFFIX):$(devpsdl2_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(SDL2_LIBS)

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) devpnone$(LIB_SUFFIX) devpdisk$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
ifeq ($(HAVE_ALSA),1)
	$(CP) $(ALSA_SO) "$(DESTDIR)$(LIBDIR)"
endif
ifeq ($(HAVE_OSS),1)
	$(CP) $(OSS_SO) "$(DESTDIR)$(LIBDIR)"
endif
ifeq ($(HAVE_COREAUDIO),1)
	$(CP) $(COREAUDIO_SO) "$(DESTDIR)$(LIBDIR)"
endif
ifeq ($(HAVE_SDL),1)
	$(CP) $(SDL_SO) "$(DESTDIR)$(LIBDIR)"
endif
ifeq ($(HAVE_SDL2),1)
	$(CP) $(SDL2_SO) "$(DESTDIR)$(LIBDIR)"
endif

uninstall:
	rm -f  "$(DESTDIR)$(LIBDIR)/devpnone$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/devpdisk$(LIB_SUFFIX)"
ifeq ($(HAVE_ALSA),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(ALSA_SO)"
endif
ifeq ($(HAVE_OSS),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(OSS_SO)"
endif
ifeq ($(HAVE_COREAUDIO),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(COREAUDIO_SO)"
endif
ifeq ($(HAVE_SDL),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(SDL_SO)"
endif
ifeq ($(HAVE_SDL2),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(SDL2_SO)"
endif

devposs.o: devposs.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/vol.h \
	../dev/imsdev.h \
	../dev/devigen.h \
	../dev/player.h \
	../boot/psetting.h  \
	../stuff/imsrtns.h
	$(CC) devposs.c $(OSS_CFLAGS) -o $@ -c

devpnone.o: devpnone.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/player.h \
	../stuff/timer.h \
	../stuff/imsrtns.h
	$(CC) devpnone.c -o $@ -c

devpdisk.o: devpdisk.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../stuff/imsrtns.h \
	../dev/devigen.h \
	../boot/psetting.h
	$(CC) devpdisk.c -o $@ -c

devpalsa.o: devpalsa.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/vol.h \
	../dev/imsdev.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-file-mem.h \
	../filesel/filesystem-setup.h \
	../filesel/mdb.h \
	../filesel/modlist.h \
	../filesel/pfilesel.h \
	../stuff/framelock.h \
	../stuff/imsrtns.h \
	../stuff/poutput.h
	$(CC) devpalsa.c -o $@ -c $(ALSA_CFLAGS)

devpcoreaudio.o: devpcoreaudio.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/player.h \
	../stuff/imsrtns.h
	$(CC) devpcoreaudio.c -o $@ -c $(DEVPCOREAUDIO_CFLAGS)

devpsdl.o: devpsdl.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/player.h \
	../stuff/imsrtns.h
	$(CC) devpsdl.c -o $@ -c $(SDL_CFLAGS)

devpsdl2.o: devpsdl2.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/player.h \
	../stuff/imsrtns.h
	$(CC) devpsdl2.c -o $@ -c $(SDL2_CFLAGS)

=== devs/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_OSS),1)
OSS_SO=devsoss$(LIB_SUFFIX)
endif


all: devsnone$(LIB_SUFFIX) $(OSS_SO)

devsnone_so=devsnone.o
devsnone$(LIB_SUFFIX): $(devsnone_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devsoss_so=devsoss.o
devsoss$(LIB_SUFFIX): $(devsoss_so)
	$(CC) $(SHARED_FLAGS) $(OSS_LIBS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) devsnone$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
ifeq ($(HAVE_OSS),1)
	$(CP) $(OSS_SO) "$(DESTDIR)$(LIBDIR)"
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/devsnone$(LIB_SUFFIX)"
ifeq ($(HAVE_OSS),1)
	rm -f "$(DESTDIR)$(LIBDIR)/$(OSS_SO)"
endif

devsnone.o: devsnone.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/sampler.h \
	../stuff/imsrtns.h
	$(CC) devsnone.c -o $@ -c

devsoss.o: devsoss.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../dev/devigen.h \
	../dev/imsdev.h \
	../dev/sampler.h \
	../stuff/imsrtns.h \
	../stuff/poutput.h
	$(CC) $(OSS_CFLAGS) devsoss.c -o $@ -c

=== devw/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: devwnone$(LIB_SUFFIX) devwmix$(LIB_SUFFIX) devwmixf$(LIB_SUFFIX)

test: test-dwmixa test-dwmixqa test-dwmixfa
	./test-dwmixa
	./test-dwmixqa
	./test-dwmixfa

test-dwmixa.o: test-dwmixa.c ../config.h dwmix.h dwmixa.h ../stuff/pagesize.inc.c
	$(CC) -c -o $@ test-dwmixa.c

test-dwmixa: test-dwmixa.o dwmixa.o
	$(CC) -o $@ $^

test-dwmixqa.o: test-dwmixqa.c ../config.h ../dev/mix.h devwmix.h dwmix.h dwmixqa.h ../stuff/pagesize.inc.c
	$(CC) -c -o $@ test-dwmixqa.c

test-dwmixqa: test-dwmixqa.o dwmixqa.o
	$(CC) -o $@ $^

test-dwmixfa.o: test-dwmixfa.c ../config.h dwmixfa.h ../stuff/pagesize.inc.c ../dev/mcp.h
	$(CC) -c -o $@ test-dwmixfa.c

test-dwmixfa: test-dwmixfa.o dwmixfa.o
	$(CC) -o $@ $^

devwnone_so=devwnone.o
devwnone$(LIB_SUFFIX): $(devwnone_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devwmix_so=devwmix.o dwmixa.o dwmixqa.o
devwmix$(LIB_SUFFIX): $(devwmix_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

devwmixf_so=devwmixf.o dwmixfa.o
devwmixf$(LIB_SUFFIX): $(devwmixf_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(MATH_LIBS)

clean:
	rm -f *.o *$(LIB_SUFFIX) test-dwmixqa test-dwmixa test-dwmixfa

install:
	$(CP) devwnone$(LIB_SUFFIX) devwmix$(LIB_SUFFIX) devwmixf$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/devwnone$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/devwmix$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/devwmixf$(LIB_SUFFIX)"

devwnone.o: devwnone.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/mcp.h \
	../stuff/timer.h \
	../dev/mix.h \
	../stuff/imsrtns.h \
	dwnone_asminc.c
	$(CC) -O devwnone.c -o $@ -c

devwmix.o: devwmix.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/devigen.h \
	../dev/mcp.h \
	../dev/mix.h \
	../stuff/poll.h \
	../dev/player.h \
	devwmix.h \
	../stuff/imsrtns.h \
	../stuff/pagesize.inc.c \
	dwmix.h \
	dwmixa.h \
	dwmixqa.h
	$(CC) devwmix.c -o $@ -c

dwmixa.o: dwmixa.c dwmixa.h \
	dwmixa_c.c \
	dwmix.h \
	../config.h \
	../types.h \
	../dev/mix.h
	$(CC) -O dwmixa.c -o $@ -c

dwmixqa.o: dwmixqa.c dwmixqa.h \
	dwmixqa_c.c \
	dwmix.h \
	../config.h \
	../types.h
	$(CC) -O dwmixqa.c -o $@ -c

devwmixf.o: devwmixf.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/imsdev.h \
	../dev/mcp.h \
	../dev/mix.h \
	../dev/player.h \
	../stuff/imsrtns.h \
	../stuff/pagesize.inc.c \
	devwmixf.h \
	../stuff/poll.h \
	dwmixfa.h \
	../dev/devigen.h \
	../boot/psetting.h \
	../dev/deviplay.h \
	../boot/plinkman.h
	$(CC) devwmixf.c -o $@ -c

dwmixfa.o: dwmixfa.c \
	dwmixfa_c.c \
	../config.h \
	../types.h \
	dwmixfa.h
	$(CC) dwmixfa.c -o $@ -c

=== filesel/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(CDROM_SUPPORT),1)
CDROM_SO=cdrom$(LIB_SUFFIX)
cdrom_so=cdrom.o
endif

pfilesel_so=\
adbmeta.o                     \
charsets.o                    \
cphlpfs.o                     \
dirdb.o                       \
filesystem.o                  \
filesystem-bzip2.o            \
filesystem-dir-mem.o          \
filesystem-drive.o            \
filesystem-gzip.o             \
filesystem-file-mem.o         \
filesystem-filehandle-cache.o \
filesystem-pak.o              \
filesystem-playlist.o         \
filesystem-playlist-m3u.o     \
filesystem-playlist-pls.o     \
filesystem-setup.o            \
filesystem-tar.o              \
filesystem-unix.o             \
filesystem-z.o                \
filesystem-zip.o              \
fsptype.o                     \
mdb.o                         \
modlist.o                     \
musicbrainz.o                 \
pfilesel.o                    \
pfsmain.o

ifeq ($(STATIC_BUILD),1)
all: $(cdrom_so) $(pfilesel_so) fstypes.o
else
all: $(CDROM_SO) fstypes.o pfilesel$(LIB_SUFFIX)
endif
	$(MAKE) -C cdfs TOPDIR=../$(TOPDIR)

test: adbmeta-test dirdb-test filesystem-bzip2-test filesystem-filehandle-cache-test filesystem-gzip-test filesystem-tar-test mdb-test
	@echo "" && echo "adbmeta-test:"                       && ./adbmeta-test
	@echo "" && echo "dirdb-test:"                         && ./dirdb-test
	@echo "" && echo "filesystem-bzip2-test:"              && ./filesystem-bzip2-test
	@echo "" && echo "filesystem-filehandle-cache-test:"   && ./filesystem-filehandle-cache-test
	@echo "" && echo "filesystem-gzip-test:"               && ./filesystem-gzip-test
	@echo "" && echo "filesystem-tar-test:"                && ./filesystem-tar-test
	@echo "" && echo "mdb-test:"                           && ./mdb-test

cdrom$(LIB_SUFFIX): $(cdrom_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ $(PTHREAD_LIBS) $(LIBDISCID_LIBS)

pfilesel$(LIB_SUFFIX): $(pfilesel_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^ -lbz2 -lz $(MATH_LIBS) $(ICONV_LIBS) $(LIBCJSON_LIBS)

clean:
	rm -f *.o *$(LIB_SUFFIX) adbmeta-test dirdb-test filesystem-bzip2-test filesystem-filehandle-cache-test filesystem-gzip-test filesystem-tar-test mdb-test

ifeq ($(STATIC_BUILD),1)
install:
uninstall:
else
install:
	$(CP) pfilesel$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/25-pfilesel$(LIB_SUFFIX)"
ifeq ($(CDROM_SUPPORT),1)
	$(CP) $(CDROM_SO) "$(DESTDIR)$(LIBDIR)/autoload/30-cdrom$(LIB_SUFFIX)"
endif
	$(MAKE) -C cdfs TOPDIR=../$(TOPDIR) install
uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/25-pfilesel$(LIB_SUFFIX)"
ifeq ($(CDROM_SUPPORT),1)
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-cdrom$(LIB_SUFFIX)"
endif
	$(MAKE) -C cdfs TOPDIR=../$(TOPDIR) uninstall
endif

adbmeta.o: adbmeta.c adbmeta.h \
	../config.h \
	../types.h \
	dirdb.h \
	../boot/psetting.h
	$(CC) $< -o $@ -c

adbmeta-test: adbmeta-test.c adbmeta.c adbmeta.h \
	../config.h \
	../types.h \
	dirdb.h \
	../boot/psetting.h
	$(CC) $< -o $@

charsets.o: charsets.c \
	../config.h \
	../types.h \
	charsets.h
	$(CC) $< -o $@ -c

dirdb.o: dirdb.c \
	../config.h \
	../types.h \
	../boot/console.h \
	../boot/psetting.h \
	../stuff/compat.h \
	../stuff/poutput.h \
	../stuff/utf-8.h \
	dirdb.h \
	mdb.h
	$(CC) $< -o $@ -c

dirdb-test: dirdb-test.c \
	dirdb.c \
	dirdb.h \
	../stuff/compat.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../stuff/compat.h
	$(CC) $< -o $@

cdrom.o: cdrom.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	cdrom.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	filesystem-file-mem.h \
	mdb.h \
	musicbrainz.h \
	pfilesel.h \
	../stuff/err.h
	$(CC) $< -o $@ -c $(LIBDISCID_CFLAGS)

filesystem.o: filesystem.c \
	../config.h \
	../types.h \
	filesystem.h
	$(CC) $< -o $@ -c

filesystem-bzip2.o: filesystem-bzip2.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-bzip2.h \
	../stuff/framelock.h
	$(CC) $< -o $@ -c

filesystem-bzip2-test: filesystem-bzip2-test.c \
	filesystem-bzip2.c \
	filesystem-file-mem.h \
	filesystem-dir-mem.h \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem-bzip2.h \
	filesystem-file-mem.o \
	filesystem-dir-mem.o
	$(CC) $< -o $@ filesystem-file-mem.o filesystem-dir-mem.o -lbz2

filesystem-dir-mem.o: filesystem-dir-mem.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-dir-mem.h
	$(CC) $< -o $@ -c

filesystem-drive.o: filesystem-drive.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-file-mem.o: filesystem-file-mem.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-file-mem.h
	$(CC) $< -o $@ -c

filesystem-gzip.o: filesystem-gzip.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-gzip.h \
	../stuff/framelock.h
	$(CC) $< -o $@ -c

filesystem-gzip-test: filesystem-gzip-test.c \
	filesystem-gzip.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem-file-mem.h \
	filesystem-dir-mem.h \
	filesystem-gzip.h \
	filesystem-dir-mem.o \
	filesystem-file-mem.o
	$(CC) $< -o $@ filesystem-file-mem.o filesystem-dir-mem.o -lz

filesystem-filehandle-cache.o: filesystem-filehandle-cache.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-filehandle-cache.h
	$(CC) $< -o $@ -c

filesystem-filehandle-cache-test: filesystem-filehandle-cache-test.c \
	filesystem-filehandle-cache.c \
	filesystem-filehandle-cache.h \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-dir-mem.h \
	filesystem-file-mem.h \
	filesystem-dir-mem.o \
	filesystem-file-mem.o
	$(CC) $< filesystem-file-mem.o filesystem-dir-mem.o -o $@

filesystem-pak.o: filesystem-pak.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-pak.h
	$(CC) $< -o $@ -c

filesystem-playlist.o: filesystem-playlist.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	filesystem-playlist.h \
	modlist.h \
	pfilesel.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-playlist-m3u.o: filesystem-playlist-m3u.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-playlist.h \
	filesystem-playlist-m3u.h \
	mdb.h \
	modlist.h \
	pfilesel.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-playlist-pls.o: filesystem-playlist-pls.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-playlist.h \
	filesystem-playlist-pls.h \
	mdb.h \
	modlist.h \
	pfilesel.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-setup.o: filesystem-setup.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-dir-mem.h \
	filesystem-drive.h \
	filesystem-setup.h \
	pfilesel.h
	$(CC) $< -o $@ -c

filesystem-tar.o: filesystem-tar.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-tar.h
	$(CC) $< -o $@ -c

filesystem-tar-test: filesystem-tar-test.c \
	filesystem-tar.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-tar.h \
	filesystem-dir-mem.h \
	filesystem-file-mem.h \
	filesystem-dir-mem.o \
	filesystem-file-mem.o
	$(CC) $< filesystem-dir-mem.o filesystem-file-mem.o -o $@

filesystem-unix.o: filesystem-unix.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	filesystem-unix.h \
	../stuff/compat.h
	$(CC) $< -o $@ -c

filesystem-zip.o: filesystem-zip.c \
	filesystem-zip-headers.c \
	zip-bzip2.c \
	zip-expand.c \
	zip-explode.c \
	zip-inflate.c \
	zip-unshrink.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-zip.h
	$(CC) $< -o $@ -c

filesystem-z.o: filesystem-z.c \
	z-unlzw.c \
	../config.h \
	../types.h \
	adbmeta.h \
	dirdb.h \
	filesystem.h \
	filesystem-z.h \
	../stuff/framelock.h
	$(CC) $< -o $@ -c

mdb.o: mdb.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	dirdb.h \
	filesystem.h \
	mdb.h \
	pfilesel.h \
	../stuff/compat.h \
	../stuff/imsrtns.h
	$(CC) $< -o $@ -c

mdb-test: mdb-test.c \
	mdb.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	dirdb.h \
	filesystem.h \
	mdb.h \
	pfilesel.h \
	../stuff/compat.h \
	../stuff/imsrtns.h
	$(CC) $< -o $@

musicbrainz.o: musicbrainz.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	filesystem-file-mem.h \
	filesystem-setup.h \
	musicbrainz.h \
	pfilesel.h \
	../stuff/compat.h \
	../stuff/framelock.h \
	../stuff/poutput.h \
	../stuff/utf-8.h
	$(CC) $< -o $@ -c $(LIBCJSON_CFLAGS)

cphlpfs.o: cphlpfs.c \
	../config.h \
	../types.h \
	cphlpfs.h \
	../help/cphelper.h \
	../stuff/framelock.h \
	../stuff/poutput.h
	$(CC) $< -o $@ -c

fsptype.o: fsptype.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	mdb.h
	$(CC) $< -o $@ -c

modlist.o: modlist.c \
	../config.h \
	../types.h \
	dirdb.h \
	filesystem.h \
	filesystem-drive.h \
	mdb.h \
	modlist.h \
	../stuff/compat.h \
	../stuff/poutput.h \
	../stuff/utf-8.h
	$(CC) $< -o $@ -c

pfilesel.o: pfilesel.c \
	pfilesel-charset.c \
	../config.h \
	../types.h \
	adbmeta.h \
	../boot/psetting.h \
	charsets.h \
	cphlpfs.h \
	../cpiface/cpiface.h \
	dirdb.h \
	filesystem.h \
	filesystem-bzip2.h \
	filesystem-drive.h \
	filesystem-gzip.h \
	filesystem-pak.h \
	filesystem-playlist.h \
	filesystem-playlist-m3u.h \
	filesystem-playlist-pls.h \
	filesystem-setup.h \
	filesystem-tar.h \
	filesystem-unix.h \
	filesystem-z.h \
	filesystem-zip.h \
	mdb.h \
	modlist.h \
	musicbrainz.h \
	pfilesel.h \
	../stuff/compat.h \
	../stuff/framelock.h \
	../stuff/imsrtns.h \
	../stuff/poutput.h \
	../stuff/utf-8.h
	$(CC) $< -o $@ -c

fstypes.o: fstypes.c \
	../config.h \
	../boot/plinkman.h \
	mdb.h \
	pfilesel.h
	$(CC) $< -o $@ -c

pfsmain.o: pfsmain.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/pmain.h \
	../boot/psetting.h \
	dirdb.h \
	filesystem.h \
	mdb.h \
	pfilesel.h \
	../stuff/err.h \
	../stuff/poutput.h
	$(CC) $< -o $@ -c

=== medialib/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

all: medialib$(LIB_SUFFIX)

medialib_so=medialib.o
medialib$(LIB_SUFFIX): $(medialib_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) medialib$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/medialib$(LIB_SUFFIX)"

medialib.o: medialib.c \
	medialib-add.c \
	medialib-listall.c \
	medialib-refresh.c \
	medialib-remove.c \
	medialib-scan.c \
	medialib-search.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../filesel/adbmeta.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/filesystem-dir-mem.h \
	../filesel/filesystem-drive.h \
	../filesel/filesystem-file-mem.h \
	../filesel/filesystem-unix.h \
	../filesel/modlist.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/framelock.h \
	../stuff/poutput.h \
	../stuff/utf-8.h
	$(CC) medialib.c -o $@ -c

=== playay/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(BUILD_DUMPTOOLS),1)
	DUMPAY=dumpay
else
	DUMPAY=
endif

TARGETS=aytype$(LIB_SUFFIX) playay$(LIB_SUFFIX) $(DUMPAY)

CFLAGS+=-fPIC

all: $(TARGETS)

clean:
	rm -f *.o *$(LIB_SUFFIX) dumpay

install:
	$(CP) aytype$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-aytype$(LIB_SUFFIX)"
	$(CP) playay$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
ifeq ($(BUILD_DUMPTOOLS),1)
	$(CP) dumpay "$(DESTDIR)$(BINDIR)/dumpay"
endif


uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-aytype$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/playay$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(BINDIR)/dumpay"

aytype_so=aytype.o
aytype$(LIB_SUFFIX): $(aytype_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

aytype.o: aytype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/cp437.h
	$(CC) aytype.c -o $@ -c

playay_so=z80.o sound.o aychan.o aypplay.o ayplay.o
playay$(LIB_SUFFIX): $(playay_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

z80.o: z80.h z80.c z80ops.c edops.c cbops.c main.h
	$(CC) -o $@ z80.c -c

sound.o: sound.c main.h z80.h sound.h \
	../config.h \
	../types.h \
	../dev/player.h
	$(CC) -o $@ sound.c -c

aychan.o: aychan.c \
	ayplay.h \
	sound.h \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../stuff/poutput.h
	$(CC) -o $@ aychan.c -c

aypplay.o: aypplay.c ayplay.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../cpiface/cpiface.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h \
	../stuff/timer.h
	$(CC) -o $@ aypplay.c -c

ayplay.o: ayplay.c ayplay.h main.h sound.h z80.h \
	../config.h \
	../types.h \
	../dev/deviplay.h \
	../dev/mcp.h \
	../dev/player.h \
	../dev/plrasm.h \
	../dev/ringbuffer.h \
	../filesel/filesystem.h \
	../stuff/imsrtns.h \
	../stuff/poll.h \
	../stuff/timer.h
	$(CC) -o $@ ayplay.c -c

dumpay: dumpay.o
	$(CC) $(LDFLAGS) -o $@ $^

dumpay.o: \
	dumpay.c \
	dumpay_z80_dis.c \
	z80.c \
	z80ops.c
	$(CC) -o $@ $< -c

=== playcda/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

PLAYCDA_SO=playcda$(LIB_SUFFIX)

all: $(PLAYCDA_SO)

playcda_so=cdaplay.o cdapplay.o
playcda$(LIB_SUFFIX): $(playcda_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX)

install:
	$(CP) $(PLAYCDA_SO) "$(DESTDIR)$(LIBDIR)"

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/$(PLAYCDA_SO)"


cdaplay.o: cdaplay.c cdaudio.h \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	cdaudio.h \
	../dev/deviplay.h \
	../dev/mcp.h \
	../dev/player.h \
	../dev/plrasm.h \
	../dev/ringbuffer.h \
	../dev/sampler.h \
	../filesel/cdrom.h \
	../filesel/filesystem.h \
	../stuff/imsrtns.h \
	../stuff/poll.h
	$(CC) cdaplay.c -o $@ -c

cdapplay.o: cdapplay.c cdaudio.h \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../dev/player.h \
	../filesel/cdrom.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) cdapplay.c -o $@ -c

=== playflac/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(HAVE_FLAC),1)
TARGETS=flacptype$(LIB_SUFFIX) playflac$(LIB_SUFFIX)
endif

CFLAGS+=-fPIC

all: $(TARGETS)

flactest: flactest.c
	$(CC) -o $@ flactest.c -lFLAC

clean:
	rm -f *.o *$(LIB_SUFFIX) flactest

install:
ifeq ($(HAVE_FLAC),1)
	$(CP) playflac$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
	$(CP) flacptype$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)/autoload/30-flacptype$(LIB_SUFFIX)"
endif

uninstall:
ifeq ($(HAVE_FLAC),1)
	rm -f "$(DESTDIR)$(LIBDIR)/autoload/30-flacptype$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(LIBDIR)/playflac$(LIB_SUFFIX)"
endif

flacptype_so=flacptype.o
flacptype$(LIB_SUFFIX): $(flacptype_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

cpiflacinfo.o: cpiflacinfo.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	flacplay.h
	$(CC) $< -o $@ -c

cpiflacpic.o: cpiflacpic.c \
	../config.h \
	../types.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../stuff/poutput.h \
	flacplay.h
	$(CC) $< -o $@ -c

flacptype.o: flacptype.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h
	$(CC) flacptype.c -o $@ -c

playflac_so=cpiflacinfo.o cpiflacpic.o flacpplay.o flacplay.o
playflac$(LIB_SUFFIX): $(playflac_so)
	$(CC) $(SHARED_FLAGS) $(LDFLAGS) -o $@ $^ $(FLAC_LIBS)

flacpplay.o: flacpplay.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../dev/player.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/pfilesel.h \
	../filesel/mdb.h \
	flacplay.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) flacpplay.c -o $@ $(FLAC_CFLAGS) -c

flacplay.o: flacplay.c \
	../config.h \
	../types.h \
	../cpiface/gif.h \
	../cpiface/jpeg.h \
	../cpiface/png.h \
	../dev/deviplay.h \
	../dev/mcp.h \
	../dev/player.h \
	../dev/plrasm.h \
	../dev/ringbuffer.h \
	../filesel/filesystem.h \
	flacplay.h \
	../stuff/imsrtns.h \
	../stuff/poll.h \
	../stuff/timer.h
	$(CC) flacplay.c -o $@ $(FLAC_CFLAGS) -c

=== playgmd/Makefile ===
TOPDIR=../
include $(TOPDIR)Rules.make

ifeq ($(BUILD_DUMPTOOLS),1)
	DUMPERS=dumpstm dumps3m
else
	DUMPERS=
endif

all: gmdptype.o load669$(LIB_SUFFIX) loadams$(LIB_SUFFIX) loaddmf$(LIB_SUFFIX) loadmdl$(LIB_SUFFIX) loadmtm$(LIB_SUFFIX) loadokt$(LIB_SUFFIX) loadptm$(LIB_SUFFIX) loads3m$(LIB_SUFFIX) loadstm$(LIB_SUFFIX) loadult$(LIB_SUFFIX) playgmd$(LIB_SUFFIX) $(DUMPERS)

playgmd_so=gmdpchan.o gmdpdots.o gmdpinst.o gmdplay.o gmdpplay.o gmdptrak.o gmdrtns.o gmdtime.o
playgmd$(LIB_SUFFIX): $(playgmd_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

load669_so=gmdl669.o
load669$(LIB_SUFFIX): $(load669_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadams_so=gmdlams.o
loadams$(LIB_SUFFIX): $(loadams_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loaddmf_so=gmdldmf.o
loaddmf$(LIB_SUFFIX): $(loaddmf_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadmdl_so=gmdlmdl.o
loadmdl$(LIB_SUFFIX): $(loadmdl_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadmtm_so=gmdlmtm.o
loadmtm$(LIB_SUFFIX): $(loadmtm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadokt_so=gmdlokt.o
loadokt$(LIB_SUFFIX): $(loadokt_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadptm_so=gmdlptm.o
loadptm$(LIB_SUFFIX): $(loadptm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loads3m_so=gmdls3m.o
loads3m$(LIB_SUFFIX): $(loads3m_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadstm_so=gmdlstm.o
loadstm$(LIB_SUFFIX): $(loadstm_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

loadult_so=gmdlult.o
loadult$(LIB_SUFFIX): $(loadult_so)
	$(CC) $(SHARED_FLAGS) -o $@ $^

clean:
	rm -f *.o *$(LIB_SUFFIX) dumpstm dumps3m

install:
	$(CP) load669$(LIB_SUFFIX) loadams$(LIB_SUFFIX) loaddmf$(LIB_SUFFIX) loadmdl$(LIB_SUFFIX) loadmtm$(LIB_SUFFIX) loadokt$(LIB_SUFFIX) loadptm$(LIB_SUFFIX) loads3m$(LIB_SUFFIX) loadstm$(LIB_SUFFIX) loadult$(LIB_SUFFIX) playgmd$(LIB_SUFFIX) "$(DESTDIR)$(LIBDIR)"
ifeq ($(BUILD_DUMPTOOLS),1)
	$(CP) dumpstm "$(DESTDIR)$(BINDIR)/dumpstm"
	$(CP) dumps3m "$(DESTDIR)$(BINDIR)/dumps3m"
endif

uninstall:
	rm -f "$(DESTDIR)$(LIBDIR)/load669$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadams$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loaddmf$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadmdl$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadmtm$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadokt$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadptm$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loads3m$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadstm$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/loadult$(LIB_SUFFIX)" "$(DESTDIR)$(LIBDIR)/playgmd$(LIB_SUFFIX)"
	rm -f "$(DESTDIR)$(BINDIR)/dumpstm"
	rm -f "$(DESTDIR)$(BINDIR)/dumps3m"

dumpstm: dumpstm.o
	$(CC) $(LDFLAGS) -o $@ $^

dumpstm.o: \
	dumpstm.c
	$(CC) -o $@ $< -c

dumps3m: dumps3m.o
	$(CC) $(LDFLAGS) -o $@ $^

dumps3m.o: \
	dumps3m.c
	$(CC) -o $@ $< -c

gmdptype.o: gmdptype.c \
	../config.h \
	../types.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	../stuff/cp437.h
	$(CC) gmdptype.c -o $@ -c

gmdl669.o: gmdl669.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdl669.c -o $@ -c

gmdlams.o: gmdlams.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlams.c -o $@ -c

gmdldmf.o: gmdldmf.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdldmf.c -o $@ -c

gmdlmdl.o: gmdlmdl.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlmdl.c -o $@ -c

gmdlmtm.o: gmdlmtm.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlmtm.c -o $@ -c

gmdlokt.o: gmdlokt.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlokt.c -o $@ -c

gmdlptm.o: gmdlptm.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlptm.c -o $@ -c

gmdls3m.o: gmdls3m.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdls3m.c -o $@ -c

gmdlstm.o: gmdlstm.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlstm.c -o $@ -c

gmdlult.o: gmdlult.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../dev/mcp.h \
	../filesel/filesystem.h \
	gmdplay.h \
	gmdinst.h \
	../stuff/err.h
	$(CC) gmdlult.c -o $@ -c

gmdpchan.o: gmdpchan.c \
	../config.h \
	../types.h \
	gmdplay.h \
	gmdpchan.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) gmdpchan.c -o $@ -c

gmdpdots.o: gmdpdots.c \
	../config.h \
	../types.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	gmdplay.h \
	gmdpdots.h
	$(CC) gmdpdots.c -o $@ -c

gmdpinst.o: gmdpinst.c \
	../config.h \
	../types.h \
	../dev/mcp.h \
	gmdinst.h \
	../cpiface/cpiface.h
	$(CC) gmdpinst.c -o $@ -c

gmdplay.o: gmdplay.c \
	../config.h \
	../types.h \
	../dev/mcp.h \
	gmdplay.h \
	../stuff/imsrtns.h \
	../cpiface/cpiface.h
	$(CC) gmdplay.c -o $@ -c

gmdpplay.o: gmdpplay.c \
	../config.h \
	../types.h \
	../boot/plinkman.h \
	../boot/psetting.h \
	../cpiface/cpiface.h \
	../dev/mcp.h \
	../filesel/dirdb.h \
	../filesel/filesystem.h \
	../filesel/mdb.h \
	../filesel/pfilesel.h \
	gmdpchan.h \
	gmdpdots.h \
	gmdplay.h \
	gmdptrak.h \
	../stuff/compat.h \
	../stuff/err.h \
	../stuff/poutput.h \
	../stuff/sets.h
	$(CC) gmdpplay.c -o $@ -c

gmdptrak.o: gmdptrak.c \
	../config.h \
	../types.h \
	gmdplay.h \
	gmdptrak.h \
	../stuff/poutput.h \
	../cpiface/cpiface.h
	$(CC) gmdptrak.c -o $@ -c

gmdrtns.o: gmdrtns.c \
	../config.h \
	../types.h \
	../dev/mcp.h \
	gmdplay.h
	$(CC) gmdrtns.c -o $@ -c

gmdtime.o: gmdtime.c \
	../config.h \
	../types.h \
	gmdplay.h
	$(CC) gmdtime.c -o $@ -c

=== debian/changelog ===
ocp (1:0.2.94-1) unstable; urgency=medium

  * New upstream release.
  * d/clean: updated.

 -- Gürkan Myczko <tar@debian.org>  Wed, 23 Feb 2022 20:34:08 +0100

=== debian/control ===
Source: ocp
Section: sound
Priority: optional
Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dpkg (>= 1.15.4),
               libadplug-dev (>= 2.3.1),
               libbinio-dev (>= 1.5),
               libsdl2-dev,
               libcjson-dev,
               libasound2-dev,
               libbz2-dev,
               libdiscid-dev,
               libjpeg-dev,
               libpng-dev,
               libfreetype-dev,
               libflac-dev,
               libid3tag0-dev,
               libmad0-dev,
               libncursesw5-dev | libncurses5-dev,
               libogg-dev,
               libsidplay1-dev,
               libvorbis-dev,
               texinfo,
               fonts-unifont,
               xa65,
               zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/multimedia-team/ocp.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/ocp
Homepage: https://stian.cubic.org/project-ocp.php

Package: opencubicplayer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freepats, opencubicplayer-doc
Provides: audio-mixer, mp3-decoder, mp3-encoder, x-audio-mixer
Description: UNIX port of Open Cubic Player
 This is a port of the Open Cubic Player to UNIX from DOS. Provides a
 nice textbased frontend, with some few optional features in graphical.
 Plays modules, sids, wave, audio CD, midi, ogg, flac, adlib, mp3, ahx,
 hvl, and ym.

Package: opencubicplayer-doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Section: doc
Description: Documentation for UNIX port of Open Cubic Player
 This is the documentation for the  port of the Open Cubic Player to
 UNIX from DOS. Provides a nice textbased frontend, with some few
 optional features in graphical. Plays modules, sids, wave, audio CD,
 midi, ogg, flac, adlib, mp3, and ym.
